#ifndef LAUNCHER_H
#define LAUNCHER_H

#include <QWidget>
#include "CLogTrack.h"

QT_BEGIN_NAMESPACE
namespace Ui { class launcher; }
QT_END_NAMESPACE

class launcher : public QWidget
{
    Q_OBJECT

public:
    launcher(QWidget *parent = nullptr);
    ~launcher();
private slots:
    void on_btn_close_clicked();

    void onCheckUnpass();
    void onCheckpassed(bool bUpdateVersion);
    void onSysUpadte();
    void onUpdateSucceed(bool bUpdateOeLauncher);
private:
    void showEvent(QShowEvent *event);

    void initParam();
    void initUI();

    Ui::launcher *ui;
};
#endif // LAUNCHER_H
